---
# running the debian section to install nginx

# Include variables from alma_vars.yml
- include_vars: debian_vars.yml

- name: Working in the debian section of this role
  ansible.builtin.debug:
    msg: 'testing the debian section'


- name: Update package cache
  ansible.builtin.apt:
    update_cache: yes

- name: install required packages
  ansible.builtin.apt:
    name: "{{ gitlab_dependencies }}"
    state: present

- name: lets pull down the gitlab rpm
  ansible.builtin.get_url:
    url: "{{ gitlab_repo_url }}"
    dest:  /tmp/script.rpm.sh
    mode: 0777

- name: run the script.rpm.sh to add the repositories
  ansible.builtin.shell: bash /tmp/script.rpm.sh

- name: Install the gitlab-ce
  ansible.builtin.apt:
    name: gitlab-ce
    state: present
  register: gitlab_install

- name: Print the result of the gitlab install
  ansible.builtin.debug:
    var: gitlab_install

